package com.muller.awarenessapp.fences;

import java.io.Serializable;

/**
 * Class represents base Location fence object
 */
public class Location implements Serializable {
    private static final long serialVersionUID = 1L;
    private int id;
    private String name;
    private double longitude;
    private double latitude;

    public Location(int id, String name, double longitude, double latitude) {
        this.id = id;
        this.name = name;
        this.longitude = longitude;
        this.latitude = latitude;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public double getLongitude() {
        return longitude;
    }

    public void setLongitude(double longitude) {
        this.longitude = longitude;
    }

    public double getLatitude() {
        return latitude;
    }

    public void setLatitude(double latitude) {
        this.latitude = latitude;
    }

    public String getLongLatString() {
        return this.longitude + ", " + this.latitude;
    }
}
