package com.muller.awarenessapp.fences;

import java.io.Serializable;
import java.util.ArrayList;

/**
 * Class represents TodoTask object
 */
public class TodoTask implements Serializable {
    private static final long serialVersionUID = 1L;
    private String task;
    private boolean done;
    private String description;

    public TodoTask(String task, boolean done) {
        this.task = task;
        this.done = done;
    }

    public String getTask() {
        return task;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public void setTask(String task) {
        this.task = task;
    }

    public boolean isDone() {
        return done;
    }

    public void setDone(boolean done) {
        this.done = done;
    }
}
